﻿@page
@using Management.Entities;
@using Management.BusinessLogic;
@model Management.Pages.brand.AddModel
@{
    /* Constants */
    ViewData["Title"] = "Add Brand";

    /* Default value */
    Brand brand = new Brand() {};
    string sInfo = string.Empty;
    bool bFlag = false;

    /* Get form data */
    if (Request.Method == "POST")
    {
        /* Set a flag to indicate the user posted the form */
        bFlag = true;
        
        /* Get brand infomation */
        brand.ID = Request.Form["id"];
        brand.Name = Request.Form["name"];

        /* Returns an empty string in case the new brand is successfully added */
        sInfo = BUS_Brand.Add(brand);

        /* Clear form in case the new brand is successfully added */
        if (string.IsNullOrEmpty(sInfo))
        {
            brand = new Brand() {};
        }
    }
}

<div class="row text-start">
    <p>
        <a href="/" class="link-primary text-decoration-none">Home</a>
        >
        <a href="/brand" class="link-primary text-decoration-none">Brand</a>
        >
        <a href="/brand/add" class="link-primary text-decoration-none">Add</a>
    </p>
</div>
<div class="border border-secondary rounded px-3 mb-3">
    <div class="row pt-2">
        <p class="col-sm-6 text-start fw-bold">Brand attributes</p>
        @if (bFlag)
        {
            if (string.IsNullOrEmpty(sInfo))
            {
                <p class="col-sm-6 text-end text-success fw-bold">Added brand successfully</p>
            }
            else
            {
                <p class="col-sm-6 text-end text-danger fw-bold">@sInfo</p>
            }
        }
    </div>
    <form class="row g-3 mb-2" method="post">
        <div class="col-sm-4">
            <label for="id" class="form-label">Brand ID</label>
            <input class="form-control" type="text" id="id" name="id" value="@brand.ID" placeholder="Brand ID" maxlength="30" required>
        </div>
        <div class="col-sm-5">
            <label for="name" class="form-label">Brand Name</label>
            <input class="form-control" type="text" id="name" name="name" value="@brand.Name" placeholder="Brand Name" maxlength="30" required>
        </div>
        <div class="col-sm-3 d-sm-flex align-items-end justify-content-end pb-1">
            <input class="btn btn-sm btn-success text-light" type="submit" value="Add New">
        </div>
    </form>
</div>